# Changes in the release on 13/07/2023

{% hint style="warning" %}
This enhancement has impact on upcoming implementation, so please make sure to get acquainted with it thoroughly.&#x20;

**Deployment Dates:**

Staging: July 13&#x20;

Production: July 19
{% endhint %}

### IDV Re-verification upon document expiration

**Background: INDIVIDUAL** users who are already verified but their documents have either expired or about to expire. To cater to that, we will introduce a mechanism for IDV re-verification.

**New settings** (configured on NymCard side):

{% code overflow="wrap" %}

```
"expired_idv_policy":        
{
  "days_prior_expiration": 30, (attached is a file to explain the expiration date calculation)
  "applicable_user_status": [ "ACTIVE"]  (applicable to ACTIVE users for now)
}
```

{% endcode %}

**Cron Job**

a. read tenant level settings related to expired\_idv\_policy&#x20;

b. pick INDIVIDUAL users and check for the expiry date of their documents&#x20;

c. update user status\_reason\_code to A6 if their documents have expired or about to expire

&#x20;d. Fintechs will receive webhook with status A6, then they need to start below mentioned process:

* Change the (ACTIVE) user  'status\_reason\_code' to  B2E (works exactly the same as B2) to generate a new IDV token and ask the end-user to upload his documents again
* Update the (ACTIVE) user 'status\_reason\_code'  to B0E (works exactly the same as B0) once the documents are uploaded to initiate the IDV process

If the report is <mark style="color:green;">**CLEAR**</mark>, user status is updated to (ACTIVE), A7 (new status reason code). Otherwise; user takes on (ACTIVE), A8 'status\_reason\_code' for the <mark style="color:red;">**CONSIDER > CAUTION**</mark> scenario, T12E 'status\_reason\_code' for the <mark style="color:red;">**CONSIDER > TERMINATED**</mark> user status scenario & T13E  'status\_reason\_code' for the <mark style="color:red;">**CONSIDER > SUSPECTED**</mark> user status scenario (where A8, T12E (works same way as T12) & T13E (works same way as T13) are new status reason codes).

Respectively, we added new values for user `status_reason_code`:

* A6 : Document expired or about to expire
* A7 - ID renewed
* A8 : ID re-verification failed after document expiration
* B2E: Generate SDK token, document expired (same as B2)
* B0E: Documents re-uploaded after document expiration for identity verification (same as B0)
* T12E: System terminated due to ID verification rejected after document expiration for identity verification (same as T12)
* T13E: System terminated due to ID verification suspected after document expiration for identity verification (same as T13)

{% hint style="info" %}
To re-initiate IDV flow by generating a new SDK token: change `status_reason_code` from A8 to B2E.
{% endhint %}

Below you can find a document with IDV expiration days calculation samples.

{% file src="/files/tQlAiJNcnuQ0djbzRZQ2" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nymcard.com/get-started/release-announcements/changes-in-the-release-on-13-07-2023.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
